## getdns 1.5.2

=== debian/changelog ===
getdns (1.5.2-4) unstable; urgency=medium

  * Team upload.
  * debian/control:
    - B-D: Remove doxygen, seems not used at all.
  * debian/stubby.service:
    - Update from upstream.
  * debian/rules:
    - Fix CURRENT_DATE setting.
  * debian/tests:
    - Add procps as tests dependency, since we use "ps" command.
    - Add more comments in stubby test script.

 -- Roger Shimizu <rosh@debian.org>  Sun, 31 May 2020 19:53:16 +0900

getdns (1.5.2-3) unstable; urgency=medium

  * Team upload.
  * d/tests:
    - Add a few 443 port DoT DNS upstream server.
    - Use IPv4 localhost address to test.
    - Test both systemd service port, and the server (port=5533) started
      by ourselves.
  * d/stubby.service: Add default configuration file path to start
    the service (Closes: #961624).

 -- Roger Shimizu <rosh@debian.org>  Fri, 29 May 2020 00:06:11 +0900

getdns (1.5.2-2) unstable; urgency=medium

  * Team upload.
  * d/tests: Make stubby daemon listen on an unknown port and test
    10 times.

 -- Roger Shimizu <rosh@debian.org>  Wed, 27 May 2020 22:30:25 +0900

getdns (1.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 1.5.2
    - Two small trust anchor fetcher fixes.
    - Enable server side and update client side TCP Fast Open
      implementation.
    - Fix insecure delegation detection while scheduling.
    - Escape backslashed when printing in JSON format.
    - Use GnuTLS instead of OpenSSL for TLS with the --with-gnutls
      option to configure.  libcrypto (from OpenSSL) still needed
      for Zero configuration DNSSEC.
    - DOA rr-type
    - AMTRELAY rr-type
  * d/control: Add Rules-Requires-Root: no
  * d/libgetdns10.symbols: Add Build-Depends-Package field.
  * Add debian/upstream/metadata

 -- Roger Shimizu <rosh@debian.org>  Tue, 26 May 2020 21:37:21 +0900
