=== debian/tests/control ===
Tests: stubby
Depends: stubby, knot-dnsutils, procps
Restrictions: allow-stderr
