=== debian/changelog ===
getdns (1.6.0-2build1) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 23:31:49 +0000

getdns (1.6.0-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
    - Mark libgetdns-dev as Multi-Arch: same

 -- Roger Shimizu <rosh@debian.org>  Sun, 06 Dec 2020 03:01:19 +0900

getdns (1.6.0-1) unstable; urgency=low

  * Team upload.
  * Upload to unstable.
  * debian/watch:
    - Better adapt various rc/beta/alpha version.

 -- Roger Shimizu <rosh@debian.org>  Wed, 23 Sep 2020 00:29:54 +0900

getdns (1.6.0-1~exp2) experimental; urgency=medium

  * Team upload.
  * debian/stubby.service:
    - Revert previous revert, since CI shows it fails again.
      Now we have to specify the config file path for stubby.

 -- Roger Shimizu <rosh@debian.org>  Sun, 31 May 2020 20:33:47 +0900

getdns (1.6.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release 1.6.0
    - Migration of build system to cmake.
    - New symbols with libnettle >= 3.4.
    - answer_ipv4_address and answer_ipv6_address in reply and response
      dicts.
    - Record and guard UDP max payload size with servers.
    - Run only offline-tests option with:
      src/test/tpkg/run-offline-only.sh
    - Include the packet the stub resolver sent to the upstream
      the call_reporting dict.
    - Build eventloop support libraries if event libraries are available.
  * debian/control:
    - B-D: Add cmake, the new build system.
    - B-D: Remove doxygen, seems not used at all.
  * debian/copyright:
    - Remove makefile which is erased from upstream.
  * debian/patches:
    - Add 2 patches to make the cmake build works.
  * debian/stubby.service:
    - Update from upstream.
    - Revert the default config file in service file.
      Let's see the CI result.
  * debian/libgetdns10.symbols:
    - Update symbols file.
  * debian/rules:
    - Update to use cmake, and cmake options.

 -- Roger Shimizu <rosh@debian.org>  Fri, 29 May 2020 19:00:18 +0900

getdns (1.5.2-5) unstable; urgency=medium

  * Team upload.
  * d/t/control, d/t/stubby:
    - [from ubuntu] Skip test if we don't have internet connection.

 -- Roger Shimizu <rosh@debian.org>  Thu, 09 Jul 2020 23:53:35 +0900
