=== debian/rules ===
--- 
+++ 
@@ -10,18 +10,14 @@
 %:
 	dh $@
 
-override_dh_autoreconf:
-	automake -a || true
-	dh_autoreconf
-
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--with-libevent \
-		--with-libev \
-		--with-libuv \
-		--with-trust-anchor=/usr/share/dns/root.key \
-		--with-current-date="$(CURRENT_DATE)" \
-		--with-stubby
+		-DBUILD_LIBEVENT2=ON \
+		-DBUILD_LIBEV=ON \
+		-DBUILD_LIBUV=ON \
+		-DPATH_TRUST_ANCHOR_FILE=/usr/share/dns/root.key \
+		-DCURRENT_DATE="$(CURRENT_DATE)" \
+		-DBUILD_STUBBY=ON
 
 override_dh_install:
 	-rm -rf $(CURDIR)/debian/tmp/usr/share/doc
