=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/-?((rc|b|beta|a|alpha)\.?\d+)$/~$1/ \
https://getdnsapi.net/dist/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
