=== debian/changelog ===
getdns (1.7.3-3) unstable; urgency=medium

  * Exclude build-time tests that attempt networking
  * Stubby autopkgtest:
    - mark as needs-internet, needs-root, isolation-container
    - fix outdated config and addresses
  * Add myself to Uploaders

 -- Andrew Bower <andrew@bower.uk>  Tue, 26 Aug 2025 21:08:50 +0100

getdns (1.7.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * stubby: patch to update adguard example (LP: #1989104)
  * make openssl dependency explicit for DANE support
  * fix broken HTML in "don't phone home" patch, simplify it
    and mark in DEP-3 that it is now forwarded upstream

 -- Andrew Bower <andrew@bower.uk>  Sun, 10 Aug 2025 22:33:40 +0100

getdns (1.7.3-1) experimental; urgency=medium

  * Team upload.

  [ Andrew Bower ]
  * New upstream version (Closes: #1025781, #1025741)
  * drop patches included upstream
  * catch new symbols and restore missing ones (Closes: #1023663)
  * add salsa CI pipeline
  * ditch unnecessary orig tar filtering since autotools dropped
  * omit build flags from bin for reproducibility
  * remove superfluous lintian override
  * stubby service integration
    - add initscript (Closes: #1008931)
    - add hardened runit service directory
    - be a notify-type systemd service
  * d/control:
    - add B-D on pkgconf and libsystemd-dev
    - normalise whitespace
    - update S-V to 4.7.2, no changes needed
    - dev package does not need shlib:Depends
  * d/copyright: fix omissions and bring up to date
  * add d/.gitignore
  * Backport patch trimming server list in man page
  * Backport patch updating stubby server examples

 -- Andrew Bower <andrew@bower.uk>  Thu, 03 Jul 2025 10:24:46 +0100

getdns (1.6.0-3.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + stubby: Drop versioned constraint on getdns-utils in Replaces.
    + stubby: Drop versioned constraint on getdns-utils in Breaks.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Bump debhelper from old 11 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.6.2, no changes needed.

  [ Andrew Bower ]
  * Patch tests to fix FTBFS with gcc-14. (Closes: #1074989)

 -- Andrew Bower <andrew@bower.uk>  Mon, 03 Feb 2025 07:11:36 +0000

getdns (1.6.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062103

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 17:05:25 +0000

getdns (1.6.0-3) unstable; urgency=medium

  * Team upload.

  [ Scott Kitterman ]
  * Remove myself from uploaders

  [ Roger Shimizu ]
  * debian/patches:Add patch from upstream to fix FindLibidn2.cmake
    (Closes: #1015065).
  * Revert "d/control: Mark libgetdns-dev as Multi-Arch: same".
  * debian/upstream/metadata: Remove entry of Homepage.
  * lintian-overrides: Add entry for source-is-missing [spec/index.html]

 -- Roger Shimizu <rosh@debian.org>  Sun, 31 Jul 2022 20:12:47 +0900
