=== debian/control ===
--- 
+++ 
@@ -1,26 +1,29 @@
 Source: getdns
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: getdns packagers <getdns@packages.debian.org>
+Maintainer: getdns packagers <getdns@packages.debian.org>
 Uploaders:
  Ondřej Surý <ondrej@debian.org>,
- Scott Kitterman <scott@kitterman.com>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
-Build-Depends:
+ Andrew Bower <andrew@bower.uk>
+Build-Depends: dpkg-dev (>= 1.22.5),
  check,
  cmake,
- debhelper (>= 11~),
+ debhelper-compat (= 13),
  libbsd-dev,
  libev-dev,
  libevent-dev,
  libexpat-dev,
  libidn2-dev,
  libldns-dev,
+ libssl-dev,
  libunbound-dev,
  libuv1-dev,
  libyaml-dev,
  unbound-anchor,
-Standards-Version: 4.3.0
+ libsystemd-dev,
+ pkgconf,
+ dh-sequence-runit,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Section: libs
 Homepage: https://getdnsapi.net/
@@ -30,11 +33,10 @@
 Package: libgetdns-dev
 Section: libdevel
 Architecture: any
+Depends:
+ libgetdns10t64 (= ${binary:Version}),
+ ${misc:Depends},
 Multi-Arch: same
-Depends:
- libgetdns10 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
 Description: modern asynchronous DNS API (development)
  getdns is a modern asynchronous DNS API.  It implements DNS entry
  points from a design developed and vetted by application developers,
@@ -46,7 +48,8 @@
  .
  This is the full development version of the library.
 
-Package: libgetdns10
+Package: libgetdns10t64
+Provides: ${t64:Provides}
 Multi-Arch: same
 Architecture: any
 Depends:
@@ -54,8 +57,10 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
+ libgetdns10 (<< ${source:Version}),
  libgetdns0 (>= 0.1.5-1~),
 Replaces:
+ libgetdns10,
  libgetdns0 (>= 0.1.5-1~),
 Description: modern asynchronous DNS API (shared library)
  getdns is a modern asynchronous DNS API.  It implements DNS entry
@@ -72,7 +77,7 @@
 Architecture: any
 Section: net
 Depends:
- libgetdns10 (= ${binary:Version}),
+ libgetdns10t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
@@ -91,14 +96,14 @@
 Package: stubby
 Architecture: any
 Section: net
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends:
- libgetdns10 (= ${binary:Version}),
+ libgetdns10t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
- getdns-utils (<< 1.2.1-1~),
-Replaces:
- getdns-utils (<< 1.2.1-1~),
+ ${runit:Breaks},
 Description: modern asynchronous DNS API (stub resolver)
  getdns is a modern asynchronous DNS API.  It implements DNS entry
  points from a design developed and vetted by application developers,
