=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 export DPKG_GENSYMBOLS_CHECK_LEVEL=4
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -DNO_NETWORKING_IN_TEST
 
 %:
 	dh $@
@@ -24,8 +25,7 @@
 	dh_install -X.la
 
 override_dh_missing:
-	dh_missing -X.la --fail-missing
+	dh_missing -X.la
 
 override_dh_auto_test:
-	# remote tests fail when there's no connectivity or the connectivity is restrained
-	-dh_auto_test
+	dh_auto_test
