=== debian/tests/control ===
Tests: stubby
Depends: stubby, knot-dnsutils, procps
Restrictions: allow-stderr, skippable, needs-internet, needs-root, isolation-container
